using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Block : MonoBehaviour {

    public World.BlockMask blockMask;
    
	void Start () {
        var worldIndex = World.GetWorldIndex(transform.position);
        var world = Game.instance.worlds[worldIndex].world;
        world.blocked[world.GetIndex(transform.position)] |= blockMask;
	}
}
